| Version: 3.1.5

Public Member Functions | Public Attributes | List of all members
wxAuiDockInfo Class Reference

`#include </home/Hamis/wxwidgets-3.1/wxWidgets3.1-3.1.5-1.i686/src/wxWidgets-3.1.5/interface/wx/aui/framemanager.h>`

## Public Member Functions
| wxAuiDockInfo ()
| wxAuiDockInfo (const wxAuiDockInfo &c)
wxAuiDockInfo & | operator= (const wxAuiDockInfo &c)
bool | IsOk () const
bool | IsHorizontal () const
bool | IsVertical () const

## Public Attributes
wxAuiPaneInfoPtrArray | panes
wxRect | rect
int | dock_direction
int | dock_layer
int | dock_row
int | size
int | min_size
bool | resizable
bool | toolbar
bool | fixed
bool | reserved1

## Constructor & Destructor Documentation

## ◆ wxAuiDockInfo() [1/2]

wxAuiDockInfo::wxAuiDockInfo | ( |  | ) |

## ◆ wxAuiDockInfo() [2/2]

wxAuiDockInfo::wxAuiDockInfo | ( | const wxAuiDockInfo & | c | ) |

## Member Function Documentation

## ◆ IsHorizontal()

bool wxAuiDockInfo::IsHorizontal | ( |  | ) | const

## ◆ IsOk()

bool wxAuiDockInfo::IsOk | ( |  | ) | const

## ◆ IsVertical()

bool wxAuiDockInfo::IsVertical | ( |  | ) | const

## ◆ operator=()

wxAuiDockInfo & wxAuiDockInfo::operator= | ( | const wxAuiDockInfo & | c | ) |

## Member Data Documentation

## ◆ dock_direction

int wxAuiDockInfo::dock_direction

## ◆ dock_layer

int wxAuiDockInfo::dock_layer

## ◆ dock_row

int wxAuiDockInfo::dock_row

## ◆ fixed

bool wxAuiDockInfo::fixed

## ◆ min_size

int wxAuiDockInfo::min_size

## ◆ panes

wxAuiPaneInfoPtrArray wxAuiDockInfo::panes

## ◆ rect

wxRect wxAuiDockInfo::rect

## ◆ reserved1

bool wxAuiDockInfo::reserved1

## ◆ resizable

bool wxAuiDockInfo::resizable

## ◆ size

int wxAuiDockInfo::size

## ◆ toolbar

bool wxAuiDockInfo::toolbar